<?php
$statGeneral = stats::countStatistiquesGenerale();
$statGeneralEntree = stats::countStatistiquesGenraleEntrees();
?>
<div class="row" style="margin-top: 20px;">

    <div class="col-md-10" style="margin-top: 10px;">
        <h6 class="bg-light p-2">Nb. salariés par site</h6>
        <?php
        $config = array(
            "id" => "statGeneralLieu",
            "charts" => "bar",
            "label" => "Sites (général)",
            "data" => array(
                array("label" => "Paris - 147", "nb" => $statGeneral["lieuParis147"]),
                array("label" => "Paris - Cambacérès", "nb" => $statGeneral["lieuParisCambaceres"]),
                array("label" => "Paris - Bouchardo", "nb" => $statGeneral["lieuParisBouchardo"]),
                array("label" => "Lyon - Tour d'ivoire", "nb" => $statGeneral["lieuLyonIvoire"]),
                array("label" => "Montpellier - Pérols", "nb" => $statGeneral["lieuPerols"]),
                array("label" => "Toulouse - BLanchar", "nb" => $statGeneral["lieuToulouseBalgnac"])
            )
        );

        chart::printCanvas($config);
        ?>
    </div>

    <div class="col-md-10" style="margin-top: 30px;">
        <h6 class="bg-light p-2">Années d'entrée</h6>
        <?php
        $config = array(
            "id" => "statGeneralEntree",
            "charts" => "line",
            "label" => "Année d'entrée (général)",
            "data" => array($statGeneralEntree)
        );

        chart::printCanvas($config);
        ?>
    </div>

    <div class="col-md-5" style="margin-top: 30px;">
        <h6 class="bg-light p-2">Femme / Homme</h6>
        <?php
        $config = array(
            "id" => "statGeneralHommeFemme",
            "charts" => "doughnut",
            "label" => "Femmes/Hommes (général)",
            "data" => array(
                array("label" => "Femme", "nb" => $statGeneral["Femme"]),
                array("label" => "Homme", "nb" => $statGeneral["Homme"])
            )
        );

        chart::printCanvas($config);
        ?>
    </div>
    <div class="col-md-5" style="margin-top: 30px;">
        <h6 class="bg-light p-2">Contrats actifs et non actifs</h6>
        <?php
        $config = array(
            "id" => "statGeneralContratActif",
            "charts" => "doughnut",
            "label" => "Contrats actifs (général)",
            "data" => array(
                array("label" => "Contrats actifs", "nb" => $statGeneral["ContratOn"]),
                array("label" => "Contrats en arrêt", "nb" => $statGeneral["ContratOff"])
            )
        );

        chart::printCanvas($config);
        ?>
    </div>
</div>